curl --request POST \
--url https://api.aisa.one/apis/v1/alpha-vantage/time-series-daily \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"symbol": "IBM"
}
'import requests
url = "https://api.aisa.one/apis/v1/alpha-vantage/time-series-daily"
payload = { "symbol": "IBM" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({symbol: 'IBM'})
};
fetch('https://api.aisa.one/apis/v1/alpha-vantage/time-series-daily', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/alpha-vantage/time-series-daily",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'symbol' => 'IBM'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/alpha-vantage/time-series-daily"
payload := strings.NewReader("{\n \"symbol\": \"IBM\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/alpha-vantage/time-series-daily")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"symbol\": \"IBM\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/alpha-vantage/time-series-daily")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"symbol\": \"IBM\"\n}"
response = http.request(request)
puts response.read_body{
"Meta Data": {
"2. Symbol": "<string>",
"5. Time Zone": "<string>",
"1. Information": "<string>",
"4. Output Size": "<string>",
"3. Last Refreshed": "<string>"
},
"Time Series (Daily)": {}
}Time Series Daily
curl --request POST \
--url https://api.aisa.one/apis/v1/alpha-vantage/time-series-daily \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"symbol": "IBM"
}
'import requests
url = "https://api.aisa.one/apis/v1/alpha-vantage/time-series-daily"
payload = { "symbol": "IBM" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({symbol: 'IBM'})
};
fetch('https://api.aisa.one/apis/v1/alpha-vantage/time-series-daily', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/alpha-vantage/time-series-daily",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'symbol' => 'IBM'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/alpha-vantage/time-series-daily"
payload := strings.NewReader("{\n \"symbol\": \"IBM\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/alpha-vantage/time-series-daily")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"symbol\": \"IBM\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/alpha-vantage/time-series-daily")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"symbol\": \"IBM\"\n}"
response = http.request(request)
puts response.read_body{
"Meta Data": {
"2. Symbol": "<string>",
"5. Time Zone": "<string>",
"1. Information": "<string>",
"4. Output Size": "<string>",
"3. Last Refreshed": "<string>"
},
"Time Series (Daily)": {}
}请求规范
- 方法与路径: POST /apis/v1/alpha-vantage/time-series-daily
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/alpha-vantage/time-series-daily - Runtime 事实版本: 1036de6c0ab36754ec1c89b501ce10968b8978d428608ec2aa1b69562af101bb
{
"operationId": "alpha-vantage.time-series-daily",
"method": "POST",
"path": "/apis/v1/alpha-vantage/time-series-daily",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"symbol"
],
"properties": {
"apikey": {
"type": "string",
"description": "Override API key. If provided, this key is used instead of metadata's apikey."
},
"symbol": {
"type": "string",
"examples": [
"IBM",
"MSFT",
"AAPL",
"TSCO.LON",
"600104.SHH"
],
"description": "The stock ticker symbol. For US stocks, use the ticker only (e.g., 'IBM', 'MSFT', 'AAPL'). For international stocks, append the exchange suffix: '.LON' for London Stock Exchange (e.g., 'TSCO.LON'), '.TRT' for Toronto Stock Exchange (e.g., 'SHOP.TRT'), '.DEX' for XETRA Germany (e.g., 'MBG.DEX'), '.BSE' for Bombay Stock Exchange (e.g., 'RELIANCE.BSE'), '.SHH' for Shanghai Stock Exchange (e.g., '600104.SHH'), '.SHZ' for Shenzhen Stock Exchange (e.g., '000002.SHZ'). Note: Common Chinese exchange suffixes '.SH' and '.SZ' are automatically converted to '.SHH' and '.SHZ' respectively. Use the SYMBOL_SEARCH action to find valid symbols for any global stock. Do not pass URLs - just the ticker symbol itself."
},
"datatype": {
"enum": [
"json",
"csv"
],
"type": "string",
"default": "json",
"examples": [
"json",
"csv"
],
"description": "The format of the output: 'json' or 'csv'. Defaults to 'json'. Note: CSV format is not supported by this action."
},
"outputsize": {
"type": "string",
"const": "compact",
"default": "compact",
"examples": [
"compact"
],
"description": "Output size: 'compact' returns the latest 100 data points. Note: 'full' output (20+ years of historical data) is only available with a premium Alpha Vantage subscription and is not supported by this action."
}
}
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.00036,
"estimate_source": "profile_seed",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.00036 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.00036
- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 声明的最大计数或单位数: 10000000
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
The stock ticker symbol. For US stocks, use the ticker only (e.g., 'IBM', 'MSFT', 'AAPL'). For international stocks, append the exchange suffix: '.LON' for London Stock Exchange (e.g., 'TSCO.LON'), '.TRT' for Toronto Stock Exchange (e.g., 'SHOP.TRT'), '.DEX' for XETRA Germany (e.g., 'MBG.DEX'), '.BSE' for Bombay Stock Exchange (e.g., 'RELIANCE.BSE'), '.SHH' for Shanghai Stock Exchange (e.g., '600104.SHH'), '.SHZ' for Shenzhen Stock Exchange (e.g., '000002.SHZ'). Note: Common Chinese exchange suffixes '.SH' and '.SZ' are automatically converted to '.SHH' and '.SHZ' respectively. Use the SYMBOL_SEARCH action to find valid symbols for any global stock. Do not pass URLs - just the ticker symbol itself.
"IBM"
"MSFT"
"AAPL"
"TSCO.LON"
"600104.SHH"
Override API key. If provided, this key is used instead of metadata's apikey.
The format of the output: 'json' or 'csv'. Defaults to 'json'. Note: CSV format is not supported by this action.
json, csv "json"
"csv"
Output size: 'compact' returns the latest 100 data points. Note: 'full' output (20+ years of historical data) is only available with a premium Alpha Vantage subscription and is not supported by this action.
"compact""compact"